#ifndef OBJECT_H
#define OBJECT_H

typedef enum ObjectType { OT_INT, OT_FLOAT, OT_NULL, OT_BOOL, OT_VOID } ObjectType;

typedef struct Object {
    ObjectType type;
    union Data {
        int intValue;
        float floatValue;
    } data;
} Object;

const char* oGetName(ObjectType ot);

#endif