#ifndef BYTECODE_H
#define BYTECODE_H

#include "Operation.h"

typedef struct ByteCode {
    int capacity;
    int length;
    unsigned char* code;
} ByteCode;

ByteCode* bcInit();
void bcDelete(ByteCode* bc);

int bcReserveBytes(ByteCode* bc, int length);
void bcSetBytes(ByteCode* bc, int p, const void* data, int length);
void bcAddBytes(ByteCode* bc, const void* data, int length);

#endif